Page MenuHomePhabricator

Decide on a project name for replacing T43492 "Steward, global sysop and SWMT tracking bug"
Closed, ResolvedPublic

Description

Event Timeline

Luke081515 raised the priority of this task from to Needs Triage.
Luke081515 updated the task description. (Show Details)
Luke081515 added a project: Project-Admins.
Luke081515 moved this task to Incoming on the Project-Admins board.
Luke081515 added a subscriber: Luke081515.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2015, 2:57 PM
NOTE: When created this project, please ping to me, I will add the new project to all blocking tasks of T43492
Stryn added a subscriber: Stryn.Sep 17 2015, 3:07 PM

@Aklapper Discussing here is fine or doing so on-wiki and linking it here would be most appropriate? I think that we can do it on-wiki at mediawiki.org so we can have input of all the stewards and watchers of the bug and avoid mailspam, but will do as you think it's better. Best regards.

Whatever you prefer... :)

I have no idea what a project is and why it is preferable to a perfectly working tracking bug, but why dont we call it "Steward, global sysop and SWMT bugs"?!

Whatever you prefer... :)

Created this discussion.

Glaisher renamed this task from Get a project name for the project, which should replace T43492 to Decide on a project name for replacing T43492 "Steward, global sysop and SWMT tracking bug".Sep 17 2015, 3:49 PM
Glaisher updated the task description. (Show Details)
Glaisher set Security to None.
Glaisher added a subscriber: Glaisher.

I have no idea what a project is and why it is preferable to a perfectly working tracking bug, but why dont we call it "Steward, global sysop and SWMT bugs"?!

tl;dr it allows a project management approach

OR ...
A project creates a (parent) board to which multiple components can be added, and enables easier addition.
https://www.mediawiki.org/wiki/Phabricator/Project_management
https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects
and it doesn't have to relate solely to an editing change. It can have a forward looking approach to what may need change, when, ...

Alternative names, noting that swmt is jargon, and it is bigger then bugs

  • "Steward, global sysop and small wiki monitoring"
  • "Stewards and global tools"

I have no idea what a project is and why it is preferable to a perfectly working tracking bug, but why dont we call it "Steward, global sysop and SWMT bugs"?!

The UI in phabricator is terrible for tracking bugs, you can only add blockers from the tracking task itself, not from the task that is blocking, which is pretty inconvenient IMO.

SWMT should be a hashtag for the project. I like the suggestion of "Stewards-and-Global-tools" for now, we can refine the name later on if people are unhappy with it.

I also like "Stewards-and-Global-tools".

I'd suggest another name other than Stewards-and-global-tools. In T43492 we kept track of bugs on tools not necesarily "global".

If we could call it rue, I would say it, we could call it steward, swmt and gs "stuff". Mayve We could take the name form MF-Warburg, and replace Bugs with tools. So this could be:

Steward, global sysop and SWMT tools

Maybe this is a bit long, but I think it would be better to create this project, and rename it later, than discussiong a long time.

@MarcoAurelio it has an "and" there for both stewards' tools and global tools. If you can identify which tools are not covered by the name so we can get a name, and stop a naming being a blocker that would be helpful.

Krenair added a comment.EditedSep 20 2015, 10:24 AM

I wonder about the scope of that task. Is it useful as is, or would it be better to be broken into smaller more easily identifiable parts?

@MarcoAurelio it has an "and" there for both stewards' tools and global tools. If you can identify which tools are not covered by the name so we can get a name, and stop a naming being a blocker that would be helpful.

Stewards and functionaries tools? I'm fine with stewards and global tools if the scope of the tracking bug is reduced, see below.

I wonder about the scope of that task. Is it useful as is, or would it be better to be broken into smaller more easily identifiable parts?

I think T43492 has become a potpourri of tasks related to stewards, tools and rights. Maybe we need more than one project, or reduce the scope of the task.

@MarcoAurelio it may be the case, and if we get it into a project we can better sort items into their own boards/sub-projects and reassess. Can we please call this ready for a project creation? Our fluffing around over a perfection of a name is <ugh>.

Can we get this done please? Updating the huge blocked by list in the parent task is a PITA.

Legoktm claimed this task.Oct 27 2015, 4:49 PM

I'll be bold and go with "Stewards-and-Global-tools" for now and we can refine later.

Legoktm closed this task as Resolved.Oct 27 2015, 5:01 PM

Stewards-and-global-tools created, and all open tasks migrated. I can do the closed tasks too if someone wants.

That would be great Legoktm. Thanks for the creation. It was one of our
decisions late last week, so good to see it happen already.

Do people have a recommended board structure for a project suchas this?

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 18 2015, 2:48 PM